hypothesis 4.44.2-GCCcore-8.3.0-Python-3.7.4

Unsupported: Use of this version of hypothesis is not supported. More information on our Applications Support and Retention Policy.

There is a newer version of hypothesis

Hypothesis is an advanced testing library for Python. It lets you write tests which are parametrized by a source of examples, and then generates simple and comprehensible examples that make your tests fail. This lets you find more bugs in your code with less work.

Accessing hypothesis 4.44.2-GCCcore-8.3.0-Python-3.7.4

To load the module for hypothesis 4.44.2-GCCcore-8.3.0-Python-3.7.4 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load bear-apps-unsupported/handbuilt/2019
module load hypothesis/4.44.2-GCCcore-8.3.0-Python-3.7.4

BEAR Apps Version

2019h

Extensions

  • attrs 19.3.0
  • hypothesis 4.44.2

More Information

For more information visit the hypothesis website.

Dependencies

This version of hypothesis has a direct dependency on: GCCcore/8.3.0 Python/3.7.4-GCCcore-8.3.0

Required By

This version of hypothesis is a direct dependent of: BEAR-Python-DataScience/2019b-fosscuda-2019b-Python-3.7.4 BEAR-Python-DataScience/2019b-fosscuda-2019b-Python-3.7.4-ppc64le BEAR-Python-DataScience/2019b-foss-2019b-Python-3.7.4

Other Versions

These versions of hypothesis are available on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 19th November 2019